treewide: fix update script in by-name (#565163)

This commit is contained in:
Martin Weinelt
2026-09-30 00:31:51 +00:00
committed by GitHub
4 changed files with 3 additions and 5 deletions

View File

@@ -6,7 +6,7 @@ set -eu
ROOT="$(dirname "$(readlink -f "$0")")"
NIX_DRV="$ROOT/package.nix"
if [ ! -f "$NIX_DRV" ]; then
echo "ERROR: cannot find default.nix in $ROOT"
echo "ERROR: cannot find package.nix in $ROOT"
exit 1
fi

View File

@@ -3,7 +3,7 @@
set -euo pipefail
nixpkgs="$(git rev-parse --show-toplevel)"
castopod_nix="$nixpkgs/pkgs/applications/audio/castopod/default.nix"
castopod_nix="$(dirname "$0")/package.nix"
# https://www.meetup.com/api/guide/#p02-querying-section
query='

View File

@@ -47,8 +47,6 @@ stdenv.mkDerivation rec {
oldVersion="$(nix-instantiate --eval -E "with import ./. {}; lib.getVersion ${pname}" | tr -d '"' | sed 's|\\.|-|g')"
latestTag="$(git -c 'versionsort.suffix=-' ls-remote --exit-code --refs --sort='version:refname' --tags git@github.com:${owner}/${repo} '*.*.*' | tail --lines=1 | cut --delimiter='/' --fields=3)"
if [ "$oldVersion" != "$latestTag" ]; then
nixpkgs="$(git rev-parse --show-toplevel)"
default_nix="$nixpkgs/pkgs/applications/editors/nano/nanorc/default.nix"
newTag=$(echo $latestTag | sed 's|\.|-|g')
update-source-version ${pname} "$newTag" --version-key=version --print-changes
else

View File

@@ -6,7 +6,7 @@ You can pass in multiple files or paths.
You'll likely want to use
``
$ ./update-python-libraries ../../pkgs/development/python-modules/**/default.nix
$ ./update-python-libraries ../../development/python-modules/**/default.nix
``
to update all non-pinned libraries in that folder.
"""